# class KAutoMount | This class implements synchronous mounting of devices. More...
Definition | `#include <kautomount.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KAutoMount ( bool readonly, const QString& format, const QString& device, const QString& mountpoint, const QString & desktopFile, bool show_filemanager_window = true )

#### Protected Slots

- void slotResult ( KIO::Job * )

#### Protected Members

- QString m_strDevice
- bool m_bShowFilemanagerWindow
- QString m_desktopFile

## Detailed Description

This class implements synchronous mounting of devices, as well as showing a file-manager window after mounting a device, optionally. It is a wrapper around the asychronous KIO::special() call for mount, used by KMimeType.

KAutoMount ( bool readonly, const QString& format, const QString& device, const QString& mountpoint, const QString & desktopFile, bool show_filemanager_window = true ) | ### KAutoMount

Mount a device

Parameters:

readonly | if true, the device is mounted read-only
format | the file system (e.g. vfat, ext2...) [optional, fstab is used otherwise]
device | the path to the device (e.g. /dev/fd0)
mountpoint | the directory where to mount the device [optional, fstab is used otherwise]
desktopFile | the file the user clicked on - to notify KDirWatch of the fact that it should emit fileDirty for it (to have the icon change)
show_filemanager_window | if true, a file-manager window for that mountpoint is shown after the mount, if successful.

void slotResult ( KIO::Job * ) | ### slotResult

[protected slots slot]

QString m_strDevice | ### m_strDevice

[protected]

bool m_bShowFilemanagerWindow | ### m_bShowFilemanagerWindow

[protected]

QString m_desktopFile | ### m_desktopFile

[protected]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.